<script>
	import {
		AppServer
	} from './modules/api/AppServer';
	export default {

		onLaunch: function() {
			console.log('App Launch')

			var systemInfo = uni.getSystemInfoSync(); // 获取系统信息
			this.globalData.statusBarHeight = systemInfo.statusBarHeight;
			this.globalData.windowHeight = systemInfo.windowHeight;
			this.getAppConfig();
		},
		globalData: {
			statusBarHeight: 0, // 初始化状态栏高度
			windowHeight: 0, // 屏幕高度
			isCheck: false, // 是否审核
			myPageMallEntrance: "", // 商城入口页图片
			mallBanner: "", // 商城顶部banner
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		},
		methods: {
			getAppConfig() {
				var that = this;
				var appserver = new AppServer();
				appserver.GetAppConfig("1.0").then(data => {
					console.log("getAppConfig", data.data);
					that.globalData.isCheck = data.data.isCheck;
					that.globalData.myPageMallEntrance = data.data.myPageMallEntrance;
					that.globalData.mallBanner = data.data.mallBanner;
				});
			}
		}
	}
</script>

<style>
	/*每个页面公共css */
</style>